Redmine - Feature #2932

Subtasks or stories
2009-03-08 20:45 - Jacek Domanski

Status: Closed Start date: 2009-03-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

Do you plan to build functionality to allow to create subtasks or stories? It is very useful functionality which | noticed eg. in Xplanner
application (www.xplanner.org).

Very often in projects | need to enter tasks that are really a bulk of tasks eg. #1 "Add to accounting reports new product”, #2 "Add to
actuary reports new product".

So the story (big task) #1 "Add to accounting reports new product” consist 3 atomic tasks eg. #1.1 "Add new product to accounting
report A",

#1.2 "Add new product to accounting report B,

#1.3"Add new product to accounting report C".

Tasks #1.1, #1.2, #1.3 are the real tasks that are assigned to developers and the #1 is the story that consist 3 tasks. It if useful that |
can see the progress of each task and also | can see the progress of the story - so what is the progress of the story/big task #1.

History

#1 - 2009-03-08 20:46 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

Dup of #443.

#2 - 2009-03-10 01:15 - Eric Davis

I'm working on a plugin that does story decompositions It's originally based on Scrum Alliance's Redmine plugin but I'm tweaking it's Ul and finishing
it up. It's only a prototype and is still under development so | don't recommend using it quite yet. If | can find a stable solution, then we can consider
bringing it into the core.
